Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert
Class ConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.binding.convert.ConversionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConversionExecutionException, ConversionExecutorNotFoundException

    public abstract class ConversionException

extends java.lang.RuntimeException

Base class for exceptions thrown by the convert system.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`ConversionException(java.lang.String message)` Creates a new conversion exception.
`ConversionException(java.lang.String message, java.lang.Throwable cause)` Creates a new conversion exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionException

    public ConversionException(java.lang.String message,
                               java.lang.Throwable cause)

  Creates a new conversion exception.

  Parameters:
    `message` - the exception message
    `cause` - the cause

### ConversionException

    public ConversionException(java.lang.String message)

  Creates a new conversion exception.

  Parameters:
    `message` - the exception message

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD